<?php
require("../clases/Desembolso.class.php");
require("../clases/Gasto.class.php");
require("../clases/Proyecto.class.php");
$obj = new Desembolso();
$objp = new Proyecto();
$objg = new Gasto();

$t = $_REQUEST["text"];  // R = Registrar, M = Modificar, E = Eliminar


// =========================================================
//  REGISTRAR DESEMBOLSO
// =========================================================
if($t == "R"){

    $proyecto_id     = $_REQUEST["idproyecto"];
	if($objp->BuscarPorCodigo($proyecto_id))
	{
	    $costo_total = $objp->getCostoTotal();
	}
    $beneficiario_id = $_REQUEST["idbeneficiario"];
    $fecha           = $_REQUEST["fecha"];
    $monto           = $_REQUEST["monto"];
    $observaciones   = $_REQUEST["descripcion"];
    
    $lista_desembolsos = $obj->ListarPorProyecto($proyecto_id);
    for($i=0;$i<count($lista_desembolsos);$i++)
    {
        $desembolsos = $desembolsos + $lista_desembolsos[$i]["monto"];
    }
    
  if($monto+$desembolsos>=$costo_total)
  {
     echo "<script language='javascript'>
			alert('Monto no permitido, este debe ser menor al costo total de proyecto');location.href='../mandesembolso.php';
		   </script>";
  }else{
			if($obj->Crear($proyecto_id, $beneficiario_id, $fecha, $monto, $observaciones)){
				echo "<script language='javascript'>
						location.href='../mandesembolso.php';
					  </script>";
			}else{
				   echo "No se pudo registrar el desembolso";
			     }
	   }
}



// =========================================================
//  MODIFICAR DESEMBOLSO
// =========================================================
if($t == "M"){

    $id              = $_REQUEST["id"];
    $proyecto_id     = $_REQUEST["idproyecto"];
    $beneficiario_id = $_REQUEST["idbeneficiario"];
    $fecha           = $_REQUEST["fecha"];
    $monto           = $_REQUEST["monto"];
    $observaciones   = $_REQUEST["descripcion"];

    if($obj->Actualizar($id, $proyecto_id, $beneficiario_id, $fecha, $monto, $observaciones)){
        echo "<script language='javascript'>
                location.href='../mandesembolso.php';
              </script>";
    }else{
        echo "No se pudo actualizar el desembolso";
    }
}



// =========================================================
//  ELIMINAR DESEMBOLSO
// =========================================================
if($t == "E"){

    $id = $_REQUEST["id"];
    $lista = $objg->ListarPorDesembolso($id);
    if(count($lista)>0)
    {
      echo "<script language='javascript'>
                alert('No puedes eliminar este desembolso por que tiene gastos asociados');location.href='../mandesembolso.php';
              </script>"; 
    }else{

            if($obj->Eliminar($id)){
                echo "<script language='javascript'>
                        location.href='../mandesembolso.php';
                      </script>";
            }else{
                echo "No se pudo eliminar el desembolso";
            }
    }
}

?>

